<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'web_hosting_lite_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'web-hosting-lite' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'web-hosting-lite' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'web-hosting-lite' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

	// PANEL

	Kirki::add_panel( 'web_hosting_lite_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'web-hosting-lite' ),
	) );

	// Scroll Top

	Kirki::add_section( 'web_hosting_lite_section_scroll', array(
	    'title'          => esc_html__( 'Additional Settings', 'web-hosting-lite' ),
	    'description'    => esc_html__( 'Scroll To Top', 'web-hosting-lite' ),
	    'panel'          => 'web_hosting_lite_panel_id',
	    'priority'       => 10,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'web_hosting_lite_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_section_scroll',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_web_hosting_lite',
		'label'       => esc_html__( 'Menus Text Transform', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_section_scroll',
		'default'     => 'UPPERCASE',
		'placeholder' => esc_html__( 'Choose an option', 'web-hosting-lite' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'web-hosting-lite' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'web-hosting-lite' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'web-hosting-lite' ),

		],
	]
	);

	// POST SECTION

	Kirki::add_section( 'web_hosting_lite_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'web-hosting-lite' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'web-hosting-lite' ),
	    'panel'          => 'web_hosting_lite_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_enable_post_heading',
		'section'     => 'web_hosting_lite_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'web_hosting_lite_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// HEADER SECTION

	Kirki::add_section( 'web_hosting_lite_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'web-hosting-lite' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'web-hosting-lite' ),
	    'panel'          => 'web_hosting_lite_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_enable_button_heading',
		'section'     => 'web_hosting_lite_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Button', 'web-hosting-lite' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Text', 'web-hosting-lite' ),
		'settings' => 'web_hosting_lite_header_button_text',
		'section'  => 'web_hosting_lite_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'       => esc_html__( 'Link', 'web-hosting-lite' ),
		'settings' => 'web_hosting_lite_header_button_url',
		'section'  => 'web_hosting_lite_section_header',
		'default'  => '',
	] );

	// SLIDER SECTION

	Kirki::add_section( 'web_hosting_lite_blog_slide_section', array(
        'title'          => esc_html__( 'Slider Settings', 'web-hosting-lite' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'web-hosting-lite' ),
        'panel'          => 'web_hosting_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_enable_heading',
		'section'     => 'web_hosting_lite_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_slider_heading',
		'section'     => 'web_hosting_lite_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Extra Heading', 'web-hosting-lite' ),
		'settings' => 'web_hosting_lite_slider_extra_heading',
		'section'  => 'web_hosting_lite_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'web_hosting_lite_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'web_hosting_lite_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'web-hosting-lite' ),
		'priority'    => 10,
		'choices'     => web_hosting_lite_get_categories_select(),
	] );

	// ABOUT US SECTION

	Kirki::add_section( 'web_hosting_lite_about_us_section', array(
        'title'          => esc_html__( 'About Us Settings', 'web-hosting-lite' ),
        'description'    => esc_html__( 'You have to select page to show about us section.', 'web-hosting-lite' ),
        'panel'          => 'web_hosting_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_about_us_section_enable_heading',
		'section'     => 'web_hosting_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable About Us Section', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_about_us_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_about_us_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_about_us_section_title_heading',
		'section'     => 'web_hosting_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Secton Title', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_about_us_section_title',
		'section'  => 'web_hosting_lite_about_us_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_about_us_page_heading',
		'section'     => 'web_hosting_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Page Dropdown', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'dropdown-pages',
		'settings'    => 'web_hosting_lite_about_us',
		'section'     => 'web_hosting_lite_about_us_section',
		'default'     => 42,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_about_excerpt_heading',
		'section'     => 'web_hosting_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'web_hosting_lite_about_excerpt_number',
		'label'       => esc_html__( 'Number of text to show', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_about_us_section',
		'default'     => 60,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_counter_heading',
		'section'     => 'web_hosting_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Counter ',  'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_number_text1',
		'label'    => esc_html__( 'Number 1', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_text1',
		'label'    => esc_html__( 'Text 1', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_number_text2',
		'label'    => esc_html__( 'Number 2', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_text2',
		'label'    => esc_html__( 'Text 2', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_number_text3',
		'label'    => esc_html__( 'Number 3', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_counter_text3',
		'label'    => esc_html__( 'Text 3', 'web-hosting-lite' ),
		'section'  => 'web_hosting_lite_about_us_section',
		'priority' => 10,
    ] );

	// FOOTER SECTION

	Kirki::add_section( 'web_hosting_lite_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'web-hosting-lite' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'web-hosting-lite' ),
        'panel'          => 'web_hosting_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_footer_text_heading',
		'section'     => 'web_hosting_lite_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'web_hosting_lite_footer_text',
		'section'  => 'web_hosting_lite_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'web_hosting_lite_footer_enable_heading',
		'section'     => 'web_hosting_lite_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'web-hosting-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'web_hosting_lite_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'web-hosting-lite' ),
		'section'     => 'web_hosting_lite_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'web-hosting-lite' ),
			'off' => esc_html__( 'Disable', 'web-hosting-lite' ),
		],
	] );
}
