<?php

add_action( 'admin_menu', 'web_hosting_lite_getting_started' );
function web_hosting_lite_getting_started() {    	    	
	add_theme_page( esc_html__('Get Started', 'web-hosting-lite'), esc_html__('Get Started', 'web-hosting-lite'), 'edit_theme_options', 'web-hosting-lite-guide-page', 'web_hosting_lite_test_guide');   
}

function web_hosting_lite_admin_enqueue_scripts() {
	wp_enqueue_style( 'web-hosting-lite-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
}
add_action( 'admin_enqueue_scripts', 'web_hosting_lite_admin_enqueue_scripts' );

if ( ! defined( 'WEB_HOSTING_LITE_DOCS_FREE' ) ) {
define('WEB_HOSTING_LITE_DOCS_FREE',__('https://www.misbahwp.com/docs/web-hosting-free-docs/','web-hosting-lite'));
}
if ( ! defined( 'WEB_HOSTING_LITE_DOCS_PRO' ) ) {
define('WEB_HOSTING_LITE_DOCS_PRO',__('https://www.misbahwp.com/docs/web-hosting-pro-docs','web-hosting-lite'));
}
if ( ! defined( 'WEB_HOSTING_LITE_BUY_NOW' ) ) {
define('WEB_HOSTING_LITE_BUY_NOW',__('https://www.misbahwp.com/themes/hosting-company-wordpress-theme/','web-hosting-lite'));
}
if ( ! defined( 'WEB_HOSTING_LITE_SUPPORT_FREE' ) ) {
define('WEB_HOSTING_LITE_SUPPORT_FREE',__('https://wordpress.org/support/theme/web-hosting-lite','web-hosting-lite'));
}
if ( ! defined( 'WEB_HOSTING_LITE_REVIEW_FREE' ) ) {
define('WEB_HOSTING_LITE_REVIEW_FREE',__('https://wordpress.org/support/theme/web-hosting-lite/reviews/#new-post','web-hosting-lite'));
}
if ( ! defined( 'WEB_HOSTING_LITE_DEMO_PRO' ) ) {
define('WEB_HOSTING_LITE_DEMO_PRO',__('https://www.misbahwp.com/demo/web-hosting/','web-hosting-lite'));
}

function web_hosting_lite_test_guide() { ?>
	<?php $theme = wp_get_theme(); ?>
	
	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( WEB_HOSTING_LITE_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'web-hosting-lite' ) ?></a>			
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'web-hosting-lite' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( WEB_HOSTING_LITE_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'web-hosting-lite' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( WEB_HOSTING_LITE_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'web-hosting-lite' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','web-hosting-lite'); ?><?php echo esc_html( $theme ); ?>  <span><?php esc_html_e('Version: ', 'web-hosting-lite'); ?><?php echo esc_html($theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-inside">
					<?php
						$theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postbox donate">
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','web-hosting-lite'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','web-hosting-lite'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','web-hosting-lite'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','web-hosting-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>		    
	  		</div>
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'web-hosting-lite' ); ?></h3>
				<div class="inside">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','web-hosting-lite'); ?></p>
					<div id="admin_pro_links">			
						<a class="blue-button-2" href="<?php echo esc_url( WEB_HOSTING_LITE_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'web-hosting-lite' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( WEB_HOSTING_LITE_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'web-hosting-lite' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( WEB_HOSTING_LITE_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'web-hosting-lite' ) ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php } ?>
